Bug 241467 - more futex support needed
Summary: more futex support needed
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-26 04:55 UTC by Ulrich Drepper
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 4.5.16-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-06 17:59:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch adding support for modern futex features (3.82 KB, patch)
2007-05-26 04:55 UTC, Ulrich Drepper
no flags Details | Diff

Description Ulrich Drepper 2007-05-26 04:55:08 UTC
Description of problem:
The current sources support only the very early futex calls.  Many more have
been added since.


Version-Release number of selected component (if applicable):
strace-4.5.15

How reproducible:
always

Steps to Reproduce:
1.run strace of, e.g., glibc test cases.
2.
3.
  
Actual results:
futex(0xff9b8aac, 0x80 /* FUTEX_??? */, 0) = -1 ETIMEDOUT (Connection timed out)


Expected results:
futex(0xffcecdec, FUTEX_WAIT_PRIVATE, 0, {0, 499968000}) = -1 ETIMEDOUT
(Connection timed out)


Additional info:

Comment 1 Ulrich Drepper 2007-05-26 04:55:08 UTC
Created attachment 155494 [details]
Patch adding support for modern futex features

Comment 2 Roland McGrath 2007-07-05 18:58:50 UTC
added upstream

Comment 3 Fedora Update System 2007-08-06 17:59:27 UTC
strace-4.5.16-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.